{% extends "header_footer_general.html" %}


{% block title %}TEST{% endblock %}

{% block content %}

<!-- <h1>This are the users:</h1> -->
<!-- {% for user in table_user %}
    <h4>{% print(user.id, user.name, user.email) %}</h4>
    {% endfor %} -->

<h1 style="color: red;">THIS IS THE TEST PAGE</h1>

<br>
<br>
{% if ok == 1 %}

<h1>Panou</h1>
<!-- Panourile sunt in table_user[0] -->
{% for i in range(4) %}

{%  if i == 0 %}

   <h1>Name: {% print(panouri[i].name) %} </h1> 
   <h1>Tip: {% print(panouri[i].type) %} </h1> 
   <h1>Putere: {% print(panouri[i].power) %} </h1>
   <h1>Length: {% print(panouri[i].length) %} </h1> 
   <h1>Width: {% print(panouri[i].width) %} </h1> 
   <h1>Price: {% print(panouri[i].price) %} </h1> 
   <!-- <h1>Name: {% print(panouri[i].power) %} </h1>  -->
   <!-- <h1>Name: {% print(panouri[i].power) %} </h1>   -->
{% endif %}  
{% if i == 1%}
    <h1>Numar panouri: {% print(panouri[i]) %}</h1>
{% endif %}
{% if i == 2%}
    <h1>Putere totala: {% print(panouri[i]) %}</h1>
{% endif %}
{% if i == 3%}
    <h1>Pret total: {% print(panouri[i]) %}</h1>
{% endif %}

{% endfor %}


<br>
<br>
<h1>Acumulatori</h1>

{% for i in range(3) %}

{% if i == 0%}

    <h1>Nume: {% print(acumulatori[i].name)%}</h1>

{% endif%}

{% if i == 1%}

    <h1>Numar acumulatori: {% print(acumulatori[i])%}</h1>

{% endif%}

{% if i == 2%}

    <h1>Pret total: {% print(acumulatori[i])%}</h1>

{% endif%}


{%endfor%}



<br>
<br>
<h1>Regulator</h1>

    <h1>Nume: {% print(regulatori.name)%}</h1>
    <h1>Pret total: {% print(regulatori.price) %}</h1>

<br>
<br>

<h1>Suma ramasa din buget</h1>
    <h1>{% print(ramas) %}</h1>

    <br>
    <br>
    <h1>Pret sistem : {{pret_sistem}}</h1>


    <!-- <h1>Current: {% print(user) %}</h1> -->


{% endif %}


{% if ok == 0%}

    <h1>Buget is too low</h1>

{%endif%}


<br>
<br>
<br>
<br>
<br>
<br>


{% endblock %}